# settingsEvaluated

abstract fun settingsEvaluated(closure: Closure)

Adds a closure to be called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects. The org.gradle.api.initialization.Settings object is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute.

abstract fun settingsEvaluated(action: Action<in Settings>)

Adds an action to be called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

#### Since

3.4

#### Parameters

action

The action to execute.